﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2004B: (1 year) VER VISA /9100+Opt250
DATE:                  2010-08-31 13:36:30
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       255
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2004B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B VER Required Equipment /9100
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B (1yr) DCV Meas VISA /9100+Opt250
#        Sub Tek TDS1000B/2000B (1yr) BW VISA /9100+Opt250
#        Sub Tek TDS1000B/2000B (1yr) Trig VISA /9100+Opt250
#        Sub Tek TDS1000B/2000B (1yr) ExTrig VISA/9100+Opt250
#        Sub Tek TDS1000B/2000B (1yr) Sample Rt VISA/9100+Opt250
#        Sub Tek TDS1000B/2000B (1yr) Vert Pos VISA /9100
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment /9100"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  50 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         60MH                         1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query VISA
  1.021  MATH         @UUT_Model = "TDS 2004B"
  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TDS1000B/2000B Specifications

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to REVIEW the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
  1.029  CALL         Sub Tek TDS1000B/2000B VER Required Equipment /9100
  1.030  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   BANDWIDTH(CH3)                     SAMPLE RATE AND DELAY TIME ACC
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH2)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      BANDWIDTH(CH3)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      BANDWIDTH(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  EDGE-TRIGGER SENSITIVITY(CH4)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   19.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH4)
#   20.   VERTICAL POSITION ACC(CH1)         VERTICAL POSITION ACC(CH1)
#   21.   VERTICAL POSITION ACC(CH2)         VERTICAL POSITION ACC(CH2)
#   22.   VERTICAL POSITION ACC(CH3)         VERTICAL POSITION ACC(CH3)
#   23.   VERTICAL POSITION ACC(CH4)         VERTICAL POSITION ACC(CH4)

  1.031  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.032  JMPL         END                          @Abort
  1.033  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.034  JMPL         END                          @Abort

  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek TDS1000B/2000B (1yr) DCV MEAS VISA /9100+Opt250

  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek TDS1000B/2000B (1yr) DCV MEAS VISA /9100+Opt250

  1.039  MATH         @Chan = 3
  1.040  CALL         Sub Tek TDS1000B/2000B (1yr) DCV MEAS VISA /9100+Opt250

  1.041  MATH         @Chan = 4
  1.042  CALL         Sub Tek TDS1000B/2000B (1yr) DCV MEAS VISA /9100+Opt250

  1.043  MATH         @Chan = 1
  1.044  CALL         Sub Tek TDS1000B/2000B (1yr) BW VISA /9100+Opt250
  1.045  JMPL         TRIG_CH1

  1.046  LABEL        BANDWIDTH_CH2
  1.047  MATH         @Chan = 2
  1.048  CALL         Sub Tek TDS1000B/2000B (1yr) BW VISA /9100+Opt250
  1.049  JMPL         TRIG_CH2

  1.050  LABEL        BANDWIDTH_CH3
  1.051  MATH         @Chan = 3
  1.052  CALL         Sub Tek TDS1000B/2000B (1yr) BW VISA /9100+Opt250
  1.053  JMPL         TRIG_CH3

  1.054  LABEL        BANDWIDTH_CH4
  1.055  MATH         @Chan = 4
  1.056  CALL         Sub Tek TDS1000B/2000B (1yr) BW VISA /9100+Opt250
  1.057  JMPL         TRIG_CH4

  1.058  LABEL        TRIG_CH1
  1.059  MATH         @Chan = 1
  1.060  CALL         Sub Tek TDS1000B/2000B (1yr) Trig VISA /9100+Opt250
  1.061  JMPL         SAMPLE_RATE_DELAY_TIME

  1.062  LABEL        TRIG_CH2
  1.063  MATH         @Chan = 2
  1.064  CALL         Sub Tek TDS1000B/2000B (1yr) Trig VISA /9100+Opt250
  1.065  JMPL         BANDWIDTH_CH3

  1.066  LABEL        TRIG_CH3
  1.067  MATH         @Chan = 3
  1.068  CALL         Sub Tek TDS1000B/2000B (1yr) Trig VISA /9100+Opt250
  1.069  JMPL         BANDWIDTH_CH4

  1.070  LABEL        TRIG_CH4
  1.071  MATH         @Chan = 4
  1.072  CALL         Sub Tek TDS1000B/2000B (1yr) Trig VISA /9100+Opt250

  1.073  MATH         @Chan = 1
  1.074  CALL         Sub Tek TDS1000B/2000B (1yr) ExTrig VISA/9100+Opt250

  1.075  MATH         @Chan = 2
  1.076  CALL         Sub Tek TDS1000B/2000B (1yr) ExTrig VISA/9100+Opt250

  1.077  MATH         @Chan = 3
  1.078  CALL         Sub Tek TDS1000B/2000B (1yr) ExTrig VISA/9100+Opt250

  1.079  MATH         @Chan = 4
  1.080  CALL         Sub Tek TDS1000B/2000B (1yr) ExTrig VISA/9100+Opt250
  1.081  JMPL         VERTICAL_POSITION

  1.082  LABEL        SAMPLE_RATE_DELAY_TIME
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub Tek TDS1000B/2000B (1yr) Sample Rt VISA/9100+Opt250
  1.085  JMPL         BANDWIDTH_CH2

  1.086  LABEL        VERTICAL_POSITION
  1.087  MATH         @Chan = 1
  1.088  CALL         Sub Tek TDS1000B/2000B (1yr) Vert Pos VISA /9100

  1.089  MATH         @Chan = 2
  1.090  CALL         Sub Tek TDS1000B/2000B (1yr) Vert Pos VISA /9100

  1.091  MATH         @Chan = 3
  1.092  CALL         Sub Tek TDS1000B/2000B (1yr) Vert Pos VISA /9100

  1.093  MATH         @Chan = 4
  1.094  CALL         Sub Tek TDS1000B/2000B (1yr) Vert Pos VISA /9100

  1.095  LABEL        END

  1.096  IF           @Abort
  1.097  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.098  ELSE
  1.099  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.100  ENDIF

  1.101  VISA         *RST
  1.102  END
